---
metadata:
  - name: generator
    content: Diplodoc Platform v5.63.0
alternate:
  - https://fleet.yandex.ru/docs/api/en/openapi/ContractorProfiles/v1ContractorProfilesStatus.md
  - https://fleet.yandex.ru/docs/api/ru/openapi/ContractorProfiles/v1ContractorProfilesStatus.md
  - href: https://fleet.yandex.ru/docs/api/ru/openapi/ContractorProfiles/v1ContractorProfilesStatus.md
    type: text/markdown
    title: Markdown version
  - href: https://fleet.yandex.ru/docs/api/ru/llms.txt?revision=r21515713
    rel: describedby
---
> **Documentation Index:** Fetch the complete configuration index at https://fleet.yandex.ru/docs/api/ru/llms.txt?revision=r21515713

<div class="openapi">

#  Статус готовности профиля курьера Еды 

<!-- markdownlint-disable-file -->

 Возвращает статус профиля курьера Еды по ID курьера 

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-get);margin-bottom: 12px">

<div class="openapi__request">

GET {.openapi__method}
```text translate=no
https://fleet-api.taxi.yandex.net/v1/contractor-profiles/status
```

</div>

</div>

</div>

### Query parameters

#|
|| **Name** | **Description** ||
||

_contractor_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Идентификатор профиля водителя 

_Example:_{.json-schema-reset .json-schema-example} `9b17db0cb1f24a38a5c3c8b4f6e4f63b`
{.table-cell}
||
|#{.json-schema-properties}

### Headers

#|
|| **Name** | **Description** ||
||

_Accept-Language_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Предпочитаемый язык ответа 

_Min length:_{.json-schema-reset .json-schema-assertion} `2`

_Example:_{.json-schema-reset .json-schema-example} `ru`
{.table-cell}
||
||

_X-API-Key_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 API-ключ 

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Example:_{.json-schema-reset .json-schema-example} `<API-ключ>`
{.table-cell}
||
||

_X-Client-ID_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Идентификатор клиента 

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Example:_{.json-schema-reset .json-schema-example} `<Идентификатор клиента>`
{.table-cell}
||
||

_X-Park-ID_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Идентификатор партнера 

_Example:_{.json-schema-reset .json-schema-example} `ee6f33c4562b4e1f8646d157bd70b2c4`
{.table-cell}
||
|#{.json-schema-properties}

## Responses

<div class="openapi__response__code__200">

## 200 OK

 Ответ при успешном выполнении запроса 

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "park_id": "ee6f33c4562b4e1f8646d157bd70b2c4",
  "contractor_id": "9b17db0cb1f24a38a5c3c8b4f6e4f63b",
  "profile_status": "processing"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_contractor_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 ID контрактора 

_Example:_{.json-schema-reset .json-schema-example} `9b17db0cb1f24a38a5c3c8b4f6e4f63b`
{.table-cell}
||
||

_park_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 ID парка 

_Example:_{.json-schema-reset .json-schema-example} `ee6f33c4562b4e1f8646d157bd70b2c4`
{.table-cell}
||
||

_profile_status_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Статус профиля, создан ли он 

_Enum:_{.json-schema-reset .json-schema-value} `processing`, `ready`, `error`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

<div class="openapi__response__code__404">

## 404 Not Found

 Ответ при отсутствии профиля с указанным идентификатором 

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "code": "example",
  "message": "Текстовое описание ошибки"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_message_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Человекочитаемое сообщение об ошибке 

_Example:_{.json-schema-reset .json-schema-example} `Текстовое описание ошибки`
{.table-cell}
||
||

_code_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

 Машиночитаемый код ошибки 

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.